<p-accordion class="mt-2">
  <p-accordionTab header="Filtros" [(selected)]="selectedAccordionFilter">
    <form [formGroup]="form" (submit)="filter()">
      <div class="row">
        <div class="{{field.size}}" *ngFor="let field of filterFields">

          <!-- HTML do input do tipo TEXT -->
          <div *ngIf="field.type === 'text'" class="form-group">
            <label for="{{field.field}}">{{field.label}}</label>
            <span *ngIf="field?.required" class="field-required">*</span>
            <input type="text"
                   id="{{field.field}}"
                   name="{{field.field}}"
                   class="form-control"
                   formControlName="{{field.field}}"
                   pInputText>
          </div>

          <!-- HTML do input do tipo NUMBER -->
          <div *ngIf="field.type === 'number'" class="form-group">
            <label for="{{field.field}}">{{field.label}}</label>
            <span *ngIf="field?.required" class="field-required">*</span>
            <input type="text"
                   id="{{field.field}}"
                   name="{{field.field}}"
                   class="form-control"
                   onlyNumber
                   formControlName="{{field.field}}"
                   pInputText>
          </div>

          <!-- HTML do input do tipo MONEY -->
          <div *ngIf="field.type === 'money'" class="form-group">
            <label for="{{field.field}}">{{field.label}}</label>
            <span *ngIf="field?.required" class="field-required">*</span>
            <div class="p-inputgroup">
              <span class="p-inputgroup-addon p-0">
                <i class="fa fa-money-bill"></i>
              </span>
              <input type="text"
                     id="{{field.field}}"
                     name="{{field.field}}"
                     class="form-control"
                     currencyMask
                     formControlName="{{field.field}}">
            </div>
          </div>

          <!-- HTML do input do tipo SELECT -->
          <div *ngIf="field.type === 'select'" class="form-group">
            <label for="{{field.field}}">{{field.label}}</label>
            <span *ngIf="field?.required" class="field-required">*</span>
            <p-dropdown [options]="field?.options"
                        id="{{field.field}}"
                        name="{{field.field}}"
                        formControlName="{{field.field}}"
                        [style]="{width: '100%'}"
                        optionValue="value"
                        optionLabel="label">
            </p-dropdown>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <button class="btn btn-primary"
                  type="submit">
            Filtrar
          </button>

          <button class="btn btn-link"
                  (click)="clearFilter()"
                  type="button">
            Limpar
          </button>
        </div>
      </div>
    </form>
  </p-accordionTab>
</p-accordion>
